---
title: MediaTrackSupportedConstraints.volume
slug: Web/API/MediaTrackSupportedConstraints/volume
tags:
  - API
  - Constraints
  - Media
  - Media Capture and Streams API
  - Media Streams API
  - MediaTrackSupportedConstriants
  - Property
  - Reference
  - Volume
  - WebRTC
---
<p>{{APIRef("Media Capture and Streams")}}{{obsolete_header}}</p>

<p>The {{domxref("MediaTrackSupportedConstraints")}} dictionary's <strong><code>volume</code></strong> property is a read-only Boolean value which is present (and set to <code>true</code>) in the object returned by {{domxref("MediaDevices.getSupportedConstraints()")}} if and only if the {{Glossary("user agent")}} supports the <code>volume</code> constraint. If the constraint isn't supported, it's not included in the list, so this value will never be <code>false</code>.</p>

<p>You can access the supported constraints dictionary by calling <code>navigator.mediaDevices.getSupportedConstraints()</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>volumeConstraintSupported</em> = <em>supportedConstraintsDictionary</em>.volume;</pre>

<h3 id="Value">Value</h3>

<p>This property is present in the dictionary (and its value is always <code>true</code>) if the user agent supports the <code>volume</code> constraint. If the property isn't present, this property is missing from the supported constraints dictionary, and you'll get {{jsxref("undefined")}} if you try to look at its value.</p>

<h2 id="Example">Example</h2>

<div class="hidden">
<h3 id="HTML_content">HTML content</h3>

<pre class="brush: html notranslate">&lt;div id="result"&gt;
&lt;/div&gt;</pre>

<h3 id="CSS_content">CSS content</h3>

<pre class="brush: css notranslate">#result {
  font: 14px "Arial", sans-serif;
}</pre>

<h3 id="JavaScript_content">JavaScript content</h3>
</div>

<pre class="brush: js notranslate">let result = document.getElementById("result");

if (navigator.mediaDevices.getSupportedConstraints().volume) {
  result.textContent = "Supported!";
} else {
  result.textContent = "Not supported!";
}</pre>

<h3 id="Result">Result</h3>

<p>{{ EmbedLiveSample('Example', 600, 80) }}</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaTrackSupportedConstraints.volume")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API">Media Capture and Streams API</a></li>
 <li>{{domxref("MediaDevices.getSupportedConstraints()")}}</li>
 <li>{{domxref("MediaTrackSupportedConstraints")}}</li>
 <li>{{domxref("MediaStreamTrack")}}</li>
</ul>
